@extends('flatlab::layout')

@section('header_title')
    Permisos
@endsection

@section('main-content')
<div class="panel">
    <div class="panel-heading">
        <h3><i class="fa fa-lock"></i> Permisos</h3>
    </div>
    <div class="panel-body">
        <div class="adv-table">
            <div class="clearfix">
                <div class="btn-group">
                    <a href="{{ route('permisos.create') }}" class="btn btn-primary btn-shadow">Nuevo Permiso</a>
                </div>    
            </div>
            <table class="display nowrap hover table table-bordered table-responsive" id="permisos">
                <thead>
                    <tr>
                        <th>Permisos</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
@include('flatlab::helpers.modal',['accion'=>'borrar','titulo'=>'Borrar Permiso','mensaje'=>'Está seguro que quiere borrar este permiso?'])
@endsection
@push('extra_scripts')
   <script type="text/javascript">
    $(document).ready(function() {
       
        permisos = $('#permisos').DataTable({
            "ajax": "{{ route('getPermisos') }}",
            "columns": [
                {data: 'name', name: 'name'},
                {data: 'acciones', name: 'acciones', orderable: false, searchable: false,  className: "nowrap" }
            ]
        }).on('click', '.acciones button', function (e) {
            e.preventDefault();
            var id = $(this).parent().data("id");
            var url = 'permisos/'+ id;

            if($(this).data("action") == 'editar'){
                window.location.href = url + '/edit';
            }
            if($(this).data("action") == 'borrar'){
                $('#borrar').modal('show')
                $('.confirma').one('click', function(){
                    axios.delete(url)
                        .then(function (response) {
                            $('#borrar').modal('hide');                 
                            permisos.draw(true);    
                            toastr.success('Se borró el permiso!')
                        })
                        .catch(function (response) {
                            $('#borrar').modal('hide');    
                            toastr.error('No puedes borrar este permiso!!')
                        })
                });
            }
        })
    });
    </script> 
@endpush
